Subject: RE: additional mailings
From: "Char Olson" <[email-masked]>
To: "'Kay price'" <[email-masked]>, "Kirchstein Jim" <[email-masked]>, "Tracy Heron" <[email-masked]>
Date: Wed, 5 Jun 2013 14:49:06 -0500

Kay… we are meeting at 12 noon.  Tracy will send out a reminder and to see if anyone wants to get together for lunch earlier.  I won’t be but will bring bakery, the chamber offers coffee.

I’m sending this to Tracy and also to Jim because Jim knows Mary McFarlane.  She contacted me and I sent her on to you… remember?  Anyway we’ll find her.

From: Kay price [mailto:[email-masked]] 
Sent: Wednesday, June 5, 2013 10:58 AM
To: Char Olson
Subject: Re: additional mailings

I can't even remember her contacting us much less who she is. Ha.

I think the newsletter is in the mail. I hope everyone likes it. 

What time Is our meeting at the chamber? Good to know we will have coffee and a treat. 

On Jun 5, 2013, at 8:25 AM, "Char Olson" <[email-masked]> wrote:

I’m sending info to those who are not on our mailing list.

Do you have the address of Mary McFarlane whatever… the gal who contacted us some time ago?

Bet she would love to come.

If not, Jim K. knows her.

Me

We’ll have free coffee at the chamber office meeting June 29th.  I’ll bring some bakery.